Bug 62545 - pam_env corrupt environment variables
Summary: pam_env corrupt environment variables
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-02 13:02 UTC by Basil A. Evseenko
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 09:51:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Basil A. Evseenko 2002-04-02 13:02:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020311

Description of problem:
If i redefine PATH in /etc/security/pam_env.conf, then when i
 logging into the system - i receive garbage in PATH environmient variable. If
upgrade pam to pam-0.75-19 from updates.redhat.com
all work fine, except xdm.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. uncomment PATH in /etc/security/pam_env.conf
2. login using xdm
3. echo $PATH
	

Actual Results: 
/usr/local/sbin:/usr/sbin:/sbin:/)Ъ)6сb@эz^L@П03@^Ain:/usr/bin:/usr/X11R6/Хш2@░░
 @Д^A @╢ж2@^YbinРy"@HO:/usr/X11R6/bin:/root/bin

Expected Results:  /bin:/usr/bin:/usr/X11R6/bin

Additional info:

Comment 1 Tomas Mraz 2004-10-20 09:51:32 UTC
Cannot reproduce with latest Fedora Core.



Note You need to log in before you can comment on or make changes to this bug.